<app-posts></app-posts>

<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#createPostModal" id="createPost" data-bs-whatever="How are you feeling today?">Create Post</button>

<div class="modal fade" id="createPostModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content"> 
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">What's on your mind?</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form (ngSubmit)= "postUser()">
                <input type="text" class="form-control" [(ngModel)]= "post.content" name= "cntnt">
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Post</button>
          </div>
        </form>
        </div>
        </div>
      </div>  
